/*
 * allocate.h
 *
 *  Created on: 15/02/2010
 *      Author: Saúl Zapotecas
 */

#ifndef ALLOCATE_H_
#define ALLOCATE_H_

void allocate_memory_ind(individual *ind);

/*
 * Deallocate memory of an individual
 */
void deallocate_memory_ind(individual *ind);

/* Allocate memory of a population */
void allocate_memory_pop(population *pop, int size);
void deallocate_memory_pop(population *pop);

void allocate_memory_weight(weight *w, int size);
void deallocate_memory_weight(weight *w);

#endif /* ALLOCATE_H_ */
