/*
 * moea_tools.h
 *
 *  Created on: 15/02/2010
 *      Author: Saúl Zapotecas
 */

#ifndef MOEA_TOOLS_H_
#define MOEA_TOOLS_H_

void copy_ind(individual *ind1, individual *ind2);

void copy_pop(population *pop1, population *pop2);

void shuffle(int *v, int size);

void merge_population(population *pop1, population *pop2, population *pop3);

double euclidean_distance(double *x1, double *x2, int n);

void set_vector(double *v, double value, int n);
void copy_vector(double *a, double *b, int dim);

#endif /* MOEA_TOOLS_H_ */
