/*
 * classicMOPs.h
 *
 *  Created on: 26/10/2010
 *      Author: Saúl Zapotecas
 */

#ifndef CLASSICMOPS_H_
#define CLASSICMOPS_H_

/* Fonseca - MOP [-4, 4] */
void Fonseca(double *xreal, double *obj, double *constr);

/* Kursawe - MOP [-5,5] */
void Kursawe(double *xreal, double *obj, double *constr);

/* Poli - MOP (2vars, 2obj) */
void Poli(double *xreal, double *obj, double *constr);

/* Schaffer - MOP (1var, 2obj) [-1000, 1000] */
void Schaffer(double *xreal, double *obj, double *constr);

/* Viennet1 - MOP (2vars, 3obj) [-2,2]*/
void Viennet1(double *xreal, double *obj, double *constr);

/* Viennet2 - MOP (2vars, 3obj) [-4,4]*/
void Viennet2(double *xreal, double *obj, double *constr);

/* Viennet3 - MOP (2vars, 3obj) */
void Viennet3(double *xreal, double *obj, double *constr);

#endif /* CLASSICMOPS_H_ */
