/*
 * evaluate.c
 *
 *  Created on: 16/02/2010
 *      Author: Saúl Zapotecas
 */

#include <stdio.h>
#include <math.h>

#include "global.h"
#include "problemdef.h"
#include "scalarization.h"

void evaluate_ind(individual *ind)
{
	int j;
	(*test_problem)(ind->xreal, ind->obj, ind->constr);
	for (j = 0; j < mop.nobj; j++)
	{
		if (ind->obj[j] < moea.z[j])
		{
			moea.z[j] = ind->obj[j];
		}
	}
	moea.evaluations++;
	return;
}

void evaluate_pop(population *pop)
{
	int i;
	for (i = 0; i < mop.nobj; ++i)
	{
		moea.n[i] = _INF;
	}
	for (i = 0; i < pop->size; i++)
	{
		evaluate_ind(&(pop->ind[i]));
	}
	return;
}
